Bug 1304787 - REST API: Custom properties are not reported under Host NIC (broken backward compatibility)
REST API: Custom properties are not reported under Host NIC (broken backward ...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Network (Show other bugs)
3.6.3
x86_64 Linux
high Severity high (vote)
: ovirt-3.6.3
: 3.6.3.2
Assigned To: Martin Mucha
Meni Yakove
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 10:45 EST by GenadiC
Modified: 2016-02-18 06:04 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 06:04:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
rule-engine: blocker+
ylavi: planning_ack+
danken: devel_ack+
myakove: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 53314 master MERGED core: custom parameters couldn't be updated and wasnt reported 2016-02-16 05:11 EST
oVirt gerrit 53415 master MERGED restapi: custom parameters couldn't be updated and wasnt reported 2016-02-16 05:12 EST
oVirt gerrit 53573 ovirt-engine-3.6 MERGED core: custom parameters couldn't be updated and wasnt reported 2016-02-16 06:56 EST
oVirt gerrit 53574 ovirt-engine-3.6 MERGED restapi: custom parameters couldn't be updated and wasnt reported 2016-02-16 06:57 EST
oVirt gerrit 53575 ovirt-engine-3.6.3 MERGED core: custom parameters couldn't be updated and wasnt reported 2016-02-16 06:59 EST
oVirt gerrit 53576 ovirt-engine-3.6.3 MERGED restapi: custom parameters couldn't be updated and wasnt reported 2016-02-16 07:04 EST

  None (edit)
Description GenadiC 2016-02-04 10:45:32 EST
Description of problem:
In 3.5 the custom properties were shown under Host NIC and in 3.6 it's shown only under network attachment

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create custom properties (bridge opts)
2. Check under Host NIC for custom properties 
3.

Actual results:
No custom properties

Expected results:
Should show custom properties under Host NIC

Additional info:
Comment 2 GenadiC 2016-02-07 02:14:35 EST
I don't know if it is a major feature (Danken?), but we broke backward compatibility with 3.5 version, so if there are user scripts that worked in a way to get custom properties under NIC, now they'll stop working
Comment 3 Michael Burman 2016-02-17 08:48:39 EST
Verified on - 3.6.3.2-0.1.el6

Note You need to log in before you can comment on or make changes to this bug.